﻿# 1. Upload ArcGIS authorization files and SSL certificate to the deployment S3 bucket
Write-S3Object -BucketName xxxxxxxx -Key server.prvc -File C:\ArcGIS\xxxxxxxx.prvc
Write-S3Object -BucketName xxxxxxxx -Key portal.prvc -File C:\ArcGIS\xxxxxxxx.prvc
Write-S3Object -BucketName xxxxxxxx -Key ssl_certificate.pfx -File C:\ArcGIS\xxxxxxxx.pfx

# 2. Create CloudFormation stack
New-CFNStack -StackName "webgis2" `
  -TemplateUrl "http://s3.amazonaws.com/arcgisstore105/templates/arcgis-webgis-ha-windows.template" `
  -Verbose -Capability CAPABILITY_IAM `
  -Parameter @( @{ ParameterKey="VPCId"; ParameterValue="vpc-xxxxxxxx" }, 
                @{ ParameterKey="Subnet1"; ParameterValue="subnet-xxxxxxxx" }, 
                @{ ParameterKey="Subnet2"; ParameterValue="subnet-xxxxxxxx" }, 
                @{ ParameterKey="StoreType"; ParameterValue="CloudStore" }, 
                @{ ParameterKey="DeploymentBucket"; ParameterValue="xxxxxxxx" }, 
                @{ ParameterKey="FSInstanceType"; ParameterValue="m3.xlarge" },
                @{ ParameterKey="ASInstanceType"; ParameterValue="m3.xlarge" },
                @{ ParameterKey="BDSInstanceType"; ParameterValue="m3.xlarge" },
                @{ ParameterKey="BDSInstances"; ParameterValue="1" },
                @{ ParameterKey="KeyName"; ParameterValue="xxxxxxxx" },
                @{ ParameterKey="ServerLicenseFile"; ParameterValue="server.prvc" },
                @{ ParameterKey="PortalLicenseFile"; ParameterValue="portal.prvc" },
                @{ ParameterKey="SiteAdmin"; ParameterValue="admin" },
                @{ ParameterKey="SiteAdminPassword"; ParameterValue="xxxxxxxx" },
                @{ ParameterKey="RunAsUserPassword"; ParameterValue="xxxxxxxx" }, 
                @{ ParameterKey="SiteDomain"; ParameterValue="xxxxxxxx.com" }, 
                @{ ParameterKey="SSLCertificateFile"; ParameterValue="ssl_certificate.pfx" },
                @{ ParameterKey="SSLCertPassword"; ParameterValue="xxxxxxxx" }) `
  -DisableRollback $true

